<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [getOrders](./bitburner.tix.getorders.md)

## TIX.getOrders() method

Returns your order book for the stock market.

**Signature:**

```typescript
getOrders(): StockOrder;
```
**Returns:**

[StockOrder](./bitburner.stockorder.md)

Object containing information for all the Limit and Stop Orders you have in the stock market.

## Remarks

RAM cost: 2.5 GB This is an object containing information for all the Limit and Stop Orders you have in the stock market. For each symbol you have a position in, the returned object will have a key with that symbol's name. The object's properties are each an array of [StockOrderObject](./bitburner.stockorderobject.md) The object has the following structure:

```ts
{
 string1: [ // Array of orders for this stock
     {
         shares: Order quantity
         price: Order price
         type: Order type
         position: Either "L" or "S" for Long or Short position
     },
     {
         ...
     },
     ...
 ],
 string2: [ // Array of orders for this stock
     ...
 ],
 ...
}
```
The “Order type” property can have one of the following four values: "Limit Buy Order", "Limit Sell Order", "Stop Buy Order", "Stop Sell Order". Note that the order book will only contain information for stocks that you actually have orders in.

## Example


```ts
"If you do not have orders in Nova Medical (NVMD), then the returned object will not have a “NVMD” property."
{
 ECP: [
     {
         shares: 5,
         price: 100,000
         type: "Stop Buy Order",
         position: "S",
     },
     {
         shares: 25,
         price: 125,000
         type: "Limit Sell Order",
         position: "L",
     },
 ],
 SYSC: [
     {
         shares: 100,
         price: 10,000
         type: "Limit Buy Order",
         position: "L",
     },
 ],
}
```

